Package org.globus.gsi

# Enum GSIConstants.CertificateType

java.lang.Object
java.lang.Enum<GSIConstants.CertificateType>
org.globus.gsi.GSIConstants.CertificateType

All Implemented Interfaces:
  `Serializable`, `Comparable<GSIConstants.CertificateType>`, `java.lang.constant.Constable`

Enclosing interface:
  `GSIConstants`

public static enum GSIConstants.CertificateType extends Enum<GSIConstants.CertificateType>
Enumeration of Certificate types used by the Globus security provider.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CA`
`EEC`
`GSI_2_LIMITED_PROXY`
`GSI_2_PROXY`
`GSI_3_IMPERSONATION_PROXY`
`GSI_3_INDEPENDENT_PROXY`
`GSI_3_LIMITED_PROXY`
`GSI_3_RESTRICTED_PROXY`
`GSI_4_IMPERSONATION_PROXY`
`GSI_4_INDEPENDENT_PROXY`
`GSI_4_LIMITED_PROXY`
`GSI_4_RESTRICTED_PROXY`
`UNDEFINED`

## Method Summary

Modifier and Type
Method
Description
`static GSIConstants.CertificateType`
`get(int code)`
`int`
`getCode()`
`static GSIConstants.CertificateType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static GSIConstants.CertificateType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EEC

public static final GSIConstants.CertificateType EEC

### CA

public static final GSIConstants.CertificateType CA

### GSI_2_PROXY

public static final GSIConstants.CertificateType GSI_2_PROXY

### GSI_2_LIMITED_PROXY

public static final GSIConstants.CertificateType GSI_2_LIMITED_PROXY

### GSI_3_RESTRICTED_PROXY

public static final GSIConstants.CertificateType GSI_3_RESTRICTED_PROXY

### GSI_3_INDEPENDENT_PROXY

public static final GSIConstants.CertificateType GSI_3_INDEPENDENT_PROXY

### GSI_3_IMPERSONATION_PROXY

public static final GSIConstants.CertificateType GSI_3_IMPERSONATION_PROXY

### GSI_3_LIMITED_PROXY

public static final GSIConstants.CertificateType GSI_3_LIMITED_PROXY

### GSI_4_RESTRICTED_PROXY

public static final GSIConstants.CertificateType GSI_4_RESTRICTED_PROXY

### GSI_4_INDEPENDENT_PROXY

public static final GSIConstants.CertificateType GSI_4_INDEPENDENT_PROXY

### GSI_4_IMPERSONATION_PROXY

public static final GSIConstants.CertificateType GSI_4_IMPERSONATION_PROXY

### GSI_4_LIMITED_PROXY

public static final GSIConstants.CertificateType GSI_4_LIMITED_PROXY

### UNDEFINED

public static final GSIConstants.CertificateType UNDEFINED

## Method Details

### values

public static GSIConstants.CertificateType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static GSIConstants.CertificateType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getCode

public int getCode()

### get

public static GSIConstants.CertificateType get(int code)